class Forum (object):
    def __init__ (self, title=None):
        self.title = title
        self.users = []
        self.categories = []

class Post (object):
    def __init__ (self, title=None, body=None, author=None, timestamp=None):
        self.title = title
        self.body = body
        self.author = author
        self.timestamp = timestamp

class Thread (object):
    def __init__ (self, title=None):
        self.title = title
        self.children = []

class User (object):
    def __init__ (self, name=None, signature=None, avatar=None, title=None, subtitle=None):
        self.name = name
        self.signature = signature
        self.title = title
        self.subtitle = subtitle
        self.avatar = avatar

class Category (object):
    def __init__ (self, title=None, description=None):
        self.title = title
        self.description = description
        self.children = []

class Board (object):
    def __init__ (self, title=None, description=None):
        self.title = title
        self.description = description
        self.children = []
