from . import json, pickle

outputters = [json, pickle]

def get_outputter (name):
    for outputter in outputters:
        if outputter.__name__.endswith(".{}".format(name)):
            return outputter

    raise Exception("Unknown outputter: {}".format(name))
